Developer fees

Get customer developer fees

Get the current developer fee configuration for a customer.

GET
/api/v2/customers/{customerId}/developer-fees

Returns the current developer fee configuration for the customer. Developer fees are charged by your organization on customer transactions and accumulate in your developer fee balance.

Authorization

bearerAuth
AuthorizationBearer <token>

Organization API key obtained on Settings > API Keys page in Compose UI.

In: header

Path Parameters

customerId*string

Response Body

application/json

application/json

application/json

application/json

curl -X GET 'https://compose.finance/api/v2/customers/{customerId}/developer-fees' \  -H 'Authorization: Bearer YOUR_API_KEY'
{
  "customerId": "550e8400-e29b-41d4-a716-446655440001",
  "developerSpreadFeeBps": 100,
  "updatedAt": "2024-01-15T10:30:00.000Z"
}
{
  "error": "Unauthorized - Invalid or missing API key or session"
}
{
  "error": "Invalid request data"
}
{
  "error": "Invalid request data"
}